petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPFCG

Implements the Flexible Conjugate Gradient method (FCG)

### Options Database Keys

| -ksp_fcg_mmax <N> | - maximum number of search directions Many br
| -ksp_fcg_nprealloc <N> | - number of directions to preallocate Many br
| -ksp_fcg_truncation_type <standard,notay> | - truncation approach for directions Many br

Contributed by Patrick Sanan Many br

### Notes

Supports left preconditioning only. Many br

Many br

### References

| 1. | - Notay, Y."Flexible Conjugate Gradients", SIAM J. Sci. Comput. 22:4, 2000 Many br
| 2. | - Axelsson, O. and Vassilevski, P. S. "A Black Box Generalized Conjugate Gradient Solver with Inner Iterations and Variable step Preconditioning", Many brSIAM J. Matrix Anal. Appl. 12:4, 1991 Many br

.seealso : KSPGCR, KSPFGMRES, KSPCG, KSPFCGSetMmax(), KSPFCGGetMmax(), KSPFCGSetNprealloc(), KSPFCGGetNprealloc(), KSPFCGSetTruncationType(), KSPFCGGetTruncationType() Many br

Level:beginner
Location:src/ksp/ksp/impls/fcg/fcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages